Spamassassin 3.4 with gpg on 10.6

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Spamassassin 3.4 with gpg on 10.6

Matthias Schmidt [c]
Hello,

did anybody already updated Spamassassin to 3.4 on 10.6?

As expected it complains about:
optional gpg binary is not installed
I’d like to install gpg, is it enough to just install the MacOSX binary or do I have to compile gnupg 2 from source?
I tried that already and it complains about a couple of required libs, which are not present.

As curl is present I guess I  won’t need these:
optional wget binary is not installed
optional fetch binary is not installed

any thoughts on this?

thanks for any input
Matthias



 _______________________________________________
Do not post admin requests to the list. They will be ignored.
Macos-x-server mailing list      ([hidden email])
Help/Unsubscribe/Update your Subscription:
https://lists.apple.com/mailman/options/macos-x-server/lists%2Bs10970n2h62%40n7.nabble.com

This email sent to [hidden email]
Reply | Threaded
Open this post in threaded view
|

Re: Spamassassin 3.4 with gpg on 10.6

Matthias Schmidt [c]

Am 17.02.2014 um 17:10 schrieb Matthias Schmidt <[hidden email]>:

> Hello,
>
> did anybody already updated Spamassassin to 3.4 on 10.6?
>
> As expected it complains about:
> optional gpg binary is not installed
> I’d like to install gpg, is it enough to just install the MacOSX binary or do I have to compile gnupg 2 from source?
> I tried that already and it complains about a couple of required libs, which are not present.

So I just tried to install the binaries and it works :-)
I just had to manually create the key file.

but I see these errors:
Subroutine IO::Socket::INET6::sockaddr_in6 redefined at /Library/Perl/Updates/5.10.0/Exporter.pm line 66.
 at /System/Library/Perl/Extras/5.10.0/IO/Socket/INET6.pm line 21
Argument „1.30_01" isn't numeric in numeric lt (<) at /Library/Perl/5.10.0/IO/Socket/IP.pm line 839.

when running sa-update

in the server log it looks like it’s running ok … of course I’d like to remove these above errors.

any thoughts on this?
thanks for any input
Matthias




 _______________________________________________
Do not post admin requests to the list. They will be ignored.
Macos-x-server mailing list      ([hidden email])
Help/Unsubscribe/Update your Subscription:
https://lists.apple.com/mailman/options/macos-x-server/lists%2Bs10970n2h62%40n7.nabble.com

This email sent to [hidden email]